package com.nisum.example.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Document
public class Reservation {
    private Long roomNumber;
    private LocalDate checkInDate;
    private LocalDate checkOutDate;
    private Integer price;

    @Id
    private String id;
}
