package com.nisum.example.service;

import com.nisum.example.model.Reservation;
import reactor.core.publisher.Mono;

public interface ReservationService {

    public Mono<Reservation> getReservation(String Id);
    public Mono<Reservation> createReservation(Mono<Reservation> reservationMono);
    public Mono<Reservation> updateReservation(String id,Mono<Reservation> reservationMono);
    public Mono<Boolean> deleteReservation(String id);
}
